/**
 * 
 */
package com.wieseke.cptk.common.api;

import java.util.List;

/**
 * @author Nicolas Wieseke
 * 
 */
public interface IPositionNode extends INode {

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.wieseke.cptk.common.api.INode#getParent()
	 */
	
	public IPositionNode getParent();

	/*
	 * (non-Javadoc)
	 * 
	 * @see com.wieseke.cptk.common.api.INode#getChildren()
	 */
	
	public List<? extends IPositionNode> getChildren();

	/**
	 * @return the x position
	 */
	public int getPosX();

	/**
	 * @param posX
	 */
	public void setPosX(int posX);

	/**
	 * @return the y position
	 */
	public int getPosY();

	/**
	 * @param posY
	 */
	public void setPosY(int posY);

	/**
	 * @return the text for the tool tip
	 */
	public String getToolTipText();

	/**
	 * @return the text for the rank information
	 */
	public String getRankText();

}
