/**
 * 
 */
package com.wieseke.cptk.input.action;

import com.wieseke.cptk.input.constants.InputActionConstants;

/**
 * @author Nicolas Wieseke
 * 
 */
public class EditAddAssociationAction extends InputAction {

	/**
	 * default constructor
	 */
	public EditAddAssociationAction() {
		super(InputActionConstants.ADD_ASSOCIATION_TEXT);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.action.Action#run()
	 */

	public void run() {
		if (this.node != null)
			this.node.addAssociationBegin();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.action.Action#setEnabled(boolean)
	 */

	public void setEnabled(boolean enabled) {
		if (enabled && node != null) {
			super.setEnabled(true);
		} else {
			super.setEnabled(false);
		}
	}

}